cDistFilename <- "C:/Documents and Settings/gillette/My Documents/research/MotifAnalysis/PercentileRanks/CDistributions-set1.csv"
cDistFilename <- "/Users/tgillette/Documents/GMU/MotifAnalysis/CDistributions-set1.csv"

cDistData <- read.csv(cDistFilename,header=T)

amountWithinPercent <- function(counts,percent=.95){
  counts <- sort(counts)
  result <- NA
  if (percent > 1){
    percent <- percent/100
  }
  if (percent < 1 && percent > 0){
    countLength <- length(counts)
    lowerEdgePercent <- (1-percent)/2
    lowerEdge <- ceiling(round(countLength*lowerEdgePercent+.5,1))
    upperEdgePercent <- 1-lowerEdgePercent
    upperEdge <- floor(round(countLength*upperEdgePercent+.5,1))
    actualPercent <- (upperEdge-lowerEdge)/countLength
    #proportion <- actualPercent+(sum(counts[1:(lowerEdge-1)] == counts[lowerEdge]) + sum(counts[(upperEdge+1):countLength] == counts[upperEdge]))/countLength
    trueLowerEdge <- lowerEdge - sum(counts[1:(lowerEdge-1)] == counts[lowerEdge])
    trueUpperEdge <- upperEdge + sum(counts[(upperEdge+1):countLength] == counts[upperEdge])
    #proportion <- (sum(counts[1:(lowerEdge-1)] == counts[lowerEdge]) + sum(counts[(upperEdge+1):countLength] == counts[upperEdge]))/countLength
    proportion <- (trueUpperEdge - trueLowerEdge)/countLength
    result <- c(ActualPercent=actualPercent,ProportionWithin=proportion)
    #print(lowerEdgePercent)
    #print(lowerEdge)
    #print(upperEdgePercent)
    #print(upperEdge)
    #print(sum(counts[1:(lowerEdge-1)] == counts[lowerEdge]))
    #print(sum(counts[(upperEdge+1):countLength] == counts[upperEdge]))
    #print(trueLowerEdge)
    #print(trueUpperEdge)
  }
  result
}

amountWithinPercent(as.numeric(cDistData[1,c(-1,-2)]),percent=.95)
withinPercents <- apply(as.matrix(cDistData[,c(-1,-2)]),2,amountWithinPercent)
mean(withinPercents[2,])

withinPercents <- apply(as.matrix(cDistData[,c(-1,-2)]),2,amountWithinPercent,percent=.)

numRows <- dim(cDistData)[1]
continuousNormRands <- matrix(rnorm(100*numRows),numRows,100)
withinPercentsNormRands <- apply(continuousNormRands,2,amountWithinPercent)
mean(withinPercentsNormRands[2,])

continuousUnifRands <- matrix(runif(100*numRows),numRows,100)
withinPercentsUnifRands <- apply(continuousUnifRands,2,amountWithinPercent)
mean(withinPercentsUnifRands[2,])
