###############################################################
# MotifAnalysis.r
#
# Older file that had been used to see if there were length 
# effects on nmer results.
#
###############################################################

source("PRAnalysisFunctions.r")


####
# Real stuff starts here
####
prDirectory <- "C:/Documents and Settings/gillette/My Documents/research/MotifAnalysis/PercentileRanks/";
metaData <- read.csv("C:/Documents and Settings/gillette/My Documents/research/MotifAnalysis/PercentileRanks/arborMetaData-Map2.csv")

threshold<-0.05
order<-"LTS"
K<-3

baseline<-3
prData <- read.csv(getPRFilename(baseline,order,threshold,K))
rownames(prData)<-prData$Sequence
# Join mean attempts to meta data
metaSpecial <- cbind(metaData,Attempts=rep(0,dim(metaData)[1]))
setLab<-paste("B",baseline,sep="")
times <- loadTimes(sets[[setLab]],type,baseline=baseline)
times3 <- subset(times,Constraint==3)

# Determine where in attempts distribution each sequence falls
coefDF <- fitAttemptsByLength(startLength=13,iterations=31,initBinSize=1,binSizeIncrement=0,fitType=2,drawPlots=F)
lengths <- sort(unique(times$Length))

for (i in 1:dim(metaSpecial)[1]){
  metaSpecial$Attempts[i] <- mean(subset(times3,Sequence==as.character(metaSpecial$Sequence[i]))$Attempts)
}

# Look for sequence length effects on motifs
prDataBelow30 <- prData[subset(metaData,SeqLen<30)$Sequence,]
prData3060 <- prData[subset(metaData,SeqLen>=30&SeqLen<60)$Sequence,]
prData60100 <- prData[subset(metaData,SeqLen>=60&SeqLen<100)$Sequence,]
prDataAbove150 <- prData[subset(metaData,SeqLen>=150)$Sequence,]

x11()
hist(prDataBelow30$AAA)
below30Means <- c()
for (i in 3:27){
  below30Means <- c(below30Means,mean(as.numericprDataBelow30[,i]))
}
names(below30Means) <- colnames(prDataBelow30)[3:27]
plot(prDataBelow30$
x11()
hist(prData3060$AAA)
x11()
hist(prData60100$AAA)
x11()
hist(prDataAbove150$AAA)

wilcox.test(prDataBelow30$AAA,prDataAbove150$AAA)